Table of Contents

Class: Settable | Twisted-0.19.0/twisted/python/reflect.py
--- | ---
A mixin class for syntactic sugar. Lets you assign attributes by calling with keyword arguments; for example, x(a=b,c=d,y=z) is the same as x.a=b;x.c=d;x.y=z. The most useful place for this is where you don't want to name a variable, but you do want to set some attributes; for example, X()(y=z,a=b).
Methods |
--- | ---
__call__ __init__
| __call__
    __call__ ( self,  **kw )
| __init__
    __init__ ( self,  **kw )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:11 2002 by HappyDoc version 2.0